Page MenuHomePhabricator

Add abort method to api to abort all existing requests in core
Closed, ResolvedPublic

Description

Mobilefrontend had an abort method on the api module.
It would be useful to upstream this to core so we have a standard way of aborting all requests.
See discussion here:
https://gerrit.wikimedia.org/r/#/c/233635/7/resources/mobile.startup/api.js

Event Timeline

Jdlrobson created this task.Sep 2 2015, 8:09 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to Backlog on the MobileFrontend board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 8:09 PM
matmarex added a subscriber: matmarex.
Jdlrobson claimed this task.Sep 4 2015, 6:07 PM

Change 236193 had a related patch set uploaded (by Jdlrobson):
Add abort method to mw.api

https://gerrit.wikimedia.org/r/236193

Jdlrobson triaged this task as Low priority.Sep 8 2015, 12:27 AM
Jdlrobson moved this task from Backlog to Tech debt on the MobileFrontend board.Sep 10 2015, 8:07 PM

Change 236193 abandoned by Jdlrobson:
Add abort method to mw.api

Reason:
Aborting it please discuss on the bug and I'll resurrect it if necessary.

https://gerrit.wikimedia.org/r/236193

Jdlrobson changed the task status from Open to Stalled.Sep 23 2015, 7:34 PM
Jdlrobson removed a project: MobileFrontend.
Jdlrobson set Security to None.
Jdlrobson updated the task description. (Show Details)

Change 236193 restored by Bartosz Dziewoński:
Add abort method to mw.api

Reason:
I want this. I just found a wonderful use case.

https://gerrit.wikimedia.org/r/236193

Change 236193 merged by jenkins-bot:
Add abort method to mw.api

https://gerrit.wikimedia.org/r/236193

matmarex closed this task as Resolved.Oct 13 2015, 1:08 PM
matmarex removed a project: Patch-For-Review.